Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class OcspResponsesID

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.esf.OcspResponsesID

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class OcspResponsesID
extends ASN1Object

OcspResponsesID ::= SEQUENCE { ocspIdentifier OcspIdentifier, ocspRepHash OtherHash OPTIONAL }

Constructor Summary
`OcspResponsesID(OcspIdentifier ocspIdentifier)`
`OcspResponsesID(OcspIdentifier ocspIdentifier, OtherHash ocspRepHash)`

Method Summary
`static OcspResponsesID` | `getInstance(java.lang.Object obj)`
`OcspIdentifier` | `getOcspIdentifier()`
`OtherHash` | `getOcspRepHash()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OcspResponsesID

    public OcspResponsesID(OcspIdentifier ocspIdentifier)

### OcspResponsesID

    public OcspResponsesID(OcspIdentifier ocspIdentifier,
                           OtherHash ocspRepHash)

Method Detail

### getInstance

    public static OcspResponsesID getInstance(java.lang.Object obj)

### getOcspIdentifier

    public OcspIdentifier getOcspIdentifier()

### getOcspRepHash

    public OtherHash getOcspRepHash()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD